<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.cecep.talroad.mapper.effective.QReportTemplateMapper">

    <select id="hourTemplates" resultType="cn.cecep.talroad.vo.effective.QReportTemplate">
       SELECT
            a.*
        FROM
            q_report_template a
            LEFT JOIN q_report_config b ON a.template_id = b.template_id
        WHERE
            b.push_mode = 2
    </select>
</mapper>